---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: argocd-repo-server
  namespace: argocd
spec:
  template:
    spec:
      volumes:
        - name: vault-ca-cert
          secret:
            secretName: vault-ca-cert
            items:
              - key: ca.crt
                path: ca.crt
      containers:
        - name: argocd-repo-server
          env:
            - name: SSL_CERT_DIR
              value: /etc/ssl/certs:/custom-certs
          volumeMounts:
            - name: vault-ca-cert
              mountPath: /custom-certs
              readOnly: true
